> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel an Entity Offboarding Request

> Cancels an Offboarding Request and returns the cancelled Offboarding Request. Only Offboarding Requests in 'Pending' status can be cancelled.



## OpenAPI

````yaml patch /v1/offboarding/entities/{offboardingRequestId}/cancel
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/offboarding/entities/{offboardingRequestId}/cancel:
    patch:
      tags:
        - Entity offboarding
      summary: Cancel an Offboarding Request
      description: >-
        Cancels an Offboarding Request and returns the cancelled Offboarding
        Request. Only Offboarding Requests in 'Pending' status can be cancelled.
      operationId: CancelOffboardingRequestEndpoint
      parameters:
        - name: offboardingRequestId
          in: path
          description: The id of the Offboarding Request
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.Offboarding.OffboardingRequest
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Entity.App.Endpoints.V1.Offboarding.OffboardingRequest:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.Offboarding.Entity
        id:
          type: string
          description: The id of the Offboarding Request
          format: uuid
        principalId:
          type: string
          description: The id of the Principal that initiated the Offboarding Request
          format: uuid
        status:
          $ref: >-
            #/components/schemas/Connect.Service.Entity.Core.Models.Offboarding.OffboardingStatus
      additionalProperties: false
      description: An Offboarding Request
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Entity.App.Endpoints.V1.Offboarding.Entity:
      type: object
      properties:
        components:
          type: array
          items:
            type: string
            format: uuid
          description: The IDs of the entity components, if any.
          nullable: true
        id:
          type: string
          description: The id of the entity to be offboarded.
          format: uuid
      additionalProperties: false
      description: Represents an entity in the offboarding process.
    Connect.Service.Entity.Core.Models.Offboarding.OffboardingStatus:
      enum:
        - Canceled
        - Failed
        - Pending
        - Succeeded
      type: string
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````